सामग्री पर जाएँ

Moondream

इंटीग्रेट करें

मॉडल id moondream/batched
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/moondream/batched?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "inputs": [
      {
        "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
      }
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध: ≈$0.004 4 API क्रेडिट · ≈ ₽0.42 इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
Moondream विज़न #multimodal#vision

प्रॉम्प्ट और इमेज URL युग्मों की सूची लेकर एक ही कॉल में कई इमेज के बारे में प्रश्नों के उत्तर देता है

Moondream · डेटा (JSON)

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक

इनपुट प्रॉम्प्ट और इमेज URL वाली सूची।

उन्नत max_tokens · temperature · top_p · repetition_penalty
डिफ़ॉल्ट 64

नए उत्पन्न टोकन की अधिकतम सीमा।

डिफ़ॉल्ट 0.2

सैंपलिंग तापमान सेटिंग।

डिफ़ॉल्ट 1

सैंपलिंग top-P सेटिंग।

डिफ़ॉल्ट 1

सैंपलिंग के दौरान दोहराव पर लगाया गया दंड।

POST /run/moondream/batched?wait=20 कोटेशन → $0.004
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/moondream/batched?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "inputs": [
      {
        "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
      }
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Moondream के बारे में

Moondream विज़न-लैंग्वेज मॉडल का बैच संस्करण। `inputs` में ऑब्जेक्ट की सूची भेजें, जिनमें प्रत्येक में एक प्रॉम्प्ट और इमेज URL हो, और संसाधित फ़ाइल नामों तथा समय के साथ निर्मित आउटपुट की सूची प्राप्त करें। निर्माण को `max_tokens` (32 से 1024, डिफ़ॉल्ट 64), `temperature` (0 से 1), `top_p` और `repetition_penalty` (1 से 2) से समायोजित किया जाता है। प्रतिक्रिया में यह दिखाने वाला फ़्लैग भी होता है कि परिणाम आंशिक है या नहीं।

पैरामीटर

नामप्रकार डिफ़ॉल्टअनुमत विवरण
inputsआवश्यक
प्रकारobject[]
इनपुट प्रॉम्प्ट और इमेज URL वाली सूची।
inputs[].image_urlआवश्यक
प्रकारurl · image
प्रोसेस की जाने वाली इमेज की ओर संकेत करने वाला URL।
inputs[].promptवैकल्पिक
प्रकारstring
डिफ़ॉल्टDescribe this image.
इमेज पर लागू किया गया प्रॉम्प्ट।
max_tokensवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट64
32 – 1,024
नए उत्पन्न टोकन की अधिकतम सीमा।
temperatureवैकल्पिक
प्रकारnumber
डिफ़ॉल्ट0.2
≤ 1> 0
सैंपलिंग तापमान सेटिंग।
top_pवैकल्पिक
प्रकारnumber
डिफ़ॉल्ट1
0 – 1
सैंपलिंग top-P सेटिंग।
repetition_penaltyवैकल्पिक
प्रकारnumber
डिफ़ॉल्ट1
1 – 2
सैंपलिंग के दौरान दोहराव पर लगाया गया दंड।
आवश्यक

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "moondream/batched",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 4,
    "usd": "0.004",
    "charged": 4,
    "refunded": 0
  },
  "input": {
    "inputs": [
      {
        "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
      }
    ]
  },
  "output": {
    "outputs": [
      "string"
    ],
    "partial": false,
    "timings": {},
    "filenames": [
      "string"
    ]
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
outputs
array of stringनिर्मित परिणामों वाली सूची।
partial
booleanदर्शाता है कि आउटपुट अधूरा है या नहीं।
timings
objectअलग-अलग प्रोसेसिंग चरणों के समय माप।
filenames
array of string | nullप्रोसेस की गई इमेज फ़ाइलों के नाम।

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/moondream/batched.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt